Subject: Re: loaded router, excessive getnstimeofday in oprofile

From: Eric Dumazet <[email-masked]>
Date: Tue, 26 Aug 2008 22:44:56 +0200

Evgeniy Polyakov a écrit :
> On Fri, Aug 22, 2008 at 04:57:40AM +0300, Denys Fedoryshchenko ([email-masked]) wrote:
>> I have loaded router (~650 Mbps In+Out), based on 2xAMD Opteron 248, Sun Fire 
>> X4100. HPET timer available (TSC seems not available on this platform).
>> Network interfaces is onboard, connected over PCI-X.
>>
>> Right now i am using only one processor, cause using only one interface and 
>> interrupts stick to it. Other is almost not used.
>> At peak time i notice in mpstat, that this processor is almost "dead", and if 
>> i run minor application consuming resources - ping over this router will be 
>> terrible. For me it is clear - system overloaded. I did oprofile, and here is 
>> result (at low load time, but at peak time it is very similar).
> 
> Do you have any packet sockets in this system? Like running dhcp daemon?
> 

Another way to see this problem can be to start a sniffer on the machine, even with a 
restrictive pcap filter, to check if performance change or not. (It should decrease)

For example, I believe that running "ping" could have the same effect
(increasing netstamp_needed variable : every incoming packet has to be timestamped)

So beware of pings, traceroute and other networking tools...